Api
Store Checkout_get Checkout Summary
Pre-checkout validation and summary. Performs live stock validation, price refresh, and coupon re-validation. Call this before presenting the final checkout confirmation to the customer.
curl -X GET "https://loading/v1/store/checkout/string/summary"{
"cartId": "string",
"codFee": 0,
"discountTotal": 0,
"itemCount": 0,
"items": [
{
"availableQuantity": 0,
"inStock": true,
"itemId": "string",
"lineTotal": 0,
"productId": "string",
"productName": "string",
"quantity": 0,
"unitPrice": 0,
"variantId": "string"
}
],
"paymentMethod": "string",
"shippingAddress": {
"property1": null,
"property2": null
},
"shippingFee": 0,
"shippingMethodName": "string",
"subtotal": 0,
"total": 0,
"validation": {
"issues": [
{
"details": null,
"itemId": "string",
"message": "string",
"type": "BELOW_MINIMUM"
}
],
"valid": true
}
}